const path = require('path');

module.exports = {
	entry: './src/index.ts',
	devtool: 'inline-source-map',
	devServer: {
		contentBase: './dist'
	},
	module: {
		rules: [
			{
				test: /\.ts$/,
				use: 'ts-loader',
				exclude: /node_modules/
			},
				{
				test: /\.(vs|fs)$/,
				use: [
				 'raw-loader'
				]
			}
		]
	},
	resolve: {
		extensions: [ ".ts", ".js" ]
	},
	output: {
		filename: 'bundle.js',
		path: path.resolve(__dirname, 'dist')
	},
};
